org.wildfly.swarm.config.batch.jberet

## Class ThreadFactory<T extends ThreadFactory<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.batch.jberet.ThreadFactory<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ThreadFactory<T extends ThreadFactory<T>>
      extends HashMap

  A thread factory (implementing java.util.concurrent.ThreadFactory).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `groupName()` Specifies the name of a thread group to create for this thread factory.
    `T` | `groupName(String value)` Specifies the name of a thread group to create for this thread factory.
    `String` | `name()` The name of the created thread factory.
    `T` | `name(String value)` The name of the created thread factory.
    `Integer` | `priority()` May be used to specify the thread priority of created threads.
    `T` | `priority(Integer value)` May be used to specify the thread priority of created threads.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `threadNamePattern()` The template used to create names for threads.
    `T` | `threadNamePattern(String value)` The template used to create names for threads.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ThreadFactory

          public ThreadFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### groupName

          public String groupName()

      Specifies the name of a thread group to create for this thread factory.

    - #### groupName

          public T groupName(String value)

      Specifies the name of a thread group to create for this thread factory.

    - #### name

          public String name()

      The name of the created thread factory.

    - #### name

          public T name(String value)

      The name of the created thread factory.

    - #### priority

          public Integer priority()

      May be used to specify the thread priority of created threads.

    - #### priority

          public T priority(Integer value)

      May be used to specify the thread priority of created threads.

    - #### threadNamePattern

          public String threadNamePattern()

      The template used to create names for threads. The following patterns may be used: %% - emit a percent sign %t - emit the per-factory thread sequence number %g - emit the global thread sequence number %f - emit the factory sequence number %i - emit the thread ID.

    - #### threadNamePattern

          public T threadNamePattern(String value)

      The template used to create names for threads. The following patterns may be used: %% - emit a percent sign %t - emit the per-factory thread sequence number %g - emit the global thread sequence number %f - emit the factory sequence number %i - emit the thread ID.

Copyright © 2017 JBoss by Red Hat. All rights reserved.